For the complete documentation index, see llms.txt. This page is also available as Markdown.

List supplier products for supplier

Lists all supplier products for a supplier. If the product has been linked to a tenant productUid then additional information will be added.

get
/tenants/{tenantUid}/suppliers/{supplierUid}/products
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
supplierUidstringRequired

Reference to a Supplier.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
supplierSkustringOptional

Search for a product from the specific supplier

Responses
200

Example response

application/json
get/tenants/{tenantUid}/suppliers/{supplierUid}/products
GET /v2/tenants/{tenantUid}/suppliers/{supplierUid}/products HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "productUid": "text",
      "supplierUid": "text",
      "purchasePrice": 1,
      "supplierProductUid": "text",
      "supplierSku": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?